summaryrefslogtreecommitdiffstats
path: root/abuse_sdl
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2008-03-06 00:37:53 +0000
committer Eric Hameleers <alien@slackware.com>2008-03-06 00:37:53 +0000
commit8612e260618325d623d44bfd1e63c20d9a261cc5 (patch)
tree84ba82468d2713313bdec0ddce5417a1055315c2 /abuse_sdl
parent80d62243f633dacba41ffe33d80adb2ffa08b0dc (diff)
downloadasb-8612e260618325d623d44bfd1e63c20d9a261cc5.tar.gz
asb-8612e260618325d623d44bfd1e63c20d9a261cc5.tar.xz
Updated for 0.7.1
Diffstat (limited to 'abuse_sdl')
-rwxr-xr-xabuse_sdl/build/abuse_sdl.SlackBuild31
1 files changed, 20 insertions, 11 deletions
diff --git a/abuse_sdl/build/abuse_sdl.SlackBuild b/abuse_sdl/build/abuse_sdl.SlackBuild
index 9b204d37..f9075165 100755
--- a/abuse_sdl/build/abuse_sdl.SlackBuild
+++ b/abuse_sdl/build/abuse_sdl.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright (c) 2007 Eric Hameleers <alien@slackware.com>
+# Copyright (c) 2005-2008 Eric Hameleers <alien@slackware.com>
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -27,7 +27,7 @@
# By: Eric Hameleers <alien@slackware.com>
# For: abuse_sdl
# Descr: side-scroller game
-# URL: http://www.labyrinth.net.au/~trandor/abuse/
+# URL: http://abuse.zoy.org/
# Needs:
# Changelog:
# 0.7.0-1: 24/May/2005 by Eric Hameleers
@@ -36,6 +36,8 @@
# * Remove hard-coded references in the source to '/usr/local'
# 0.7.0-3: 06/Nov/2007 by Eric Hameleers <alien@slackware.com>
# * Updated SlackBuild & Slackware 12.0 package.
+# 0.7.1-1: 06/Mar/2008 by Eric Hameleers <alien@slackware.com>
+# * New release, new maintainer, new URLs.
#
# Run 'sh abuse_sdl.SlackBuild --cleanup' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -46,9 +48,9 @@
# Set initial variables:
PRGNAM=abuse_sdl
-VERSION=${VERSION:-0.7.0}
+VERSION=${VERSION:-0.7.1}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README TODO gamma.lsp"
@@ -62,14 +64,16 @@ TMP=${TMP:-/tmp/build}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# Input URL: http://www.labyrinth.net.au/~trandor/abuse/files/abuse_sdl-0.7.0.tar.gz
# This URL is no longer active so grab the tarballs from the FreeBSD repo:
-SOURCE[0]="$SRCDIR/${PRGNAM}-${VERSION}.tar.bz2"
+# New maintainer, new URL:
+SOURCE[0]="$SRCDIR/${PRGNAM}-${VERSION}.tar.gz"
#SRCURL[0]="http://www.labyrinth.net.au/~trandor/abuse/files/${PRGNAM}-${VERSION}.tar.gz"
-SRCURL[0]="ftp://ftp.freebsd.org/pub/FreeBSD/ports/distfiles/${PRGNAM}-${VERSION}.tar.bz2"
+#SRCURL[0]="ftp://ftp.freebsd.org/pub/FreeBSD/ports/distfiles/${PRGNAM}-${VERSION}.tar.bz2"
+SRCURL[0]="http://abuse.zoy.org/attachment/wiki/Downloads/abuse-${VERSION}.tar.gz?format=raw"
SOURCE[1]="$SRCDIR/abuse_datafiles.tar.gz"
#SRCURL[1]="http://www.labyrinth.net.au/~trandor/abuse/files/abuse_datafiles.tar.gz"
-SRCURL[1]="ftp://ftp.freebsd.org/pub/FreeBSD/ports/distfiles/abuse_datafiles.tar.gz"
+#SRCURL[1]="ftp://ftp.freebsd.org/pub/FreeBSD/ports/distfiles/abuse_datafiles.tar.gz"
+SRCURL[1]="http://abuse.zoy.org/attachment/wiki/Downloads/abuse-data-2.00.tar.gz?format=raw"
##
## --- with a little luck, you won't have to edit below this point --- ##
@@ -125,7 +129,7 @@ for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
[ -w "$SRCDIR" ] || SOURCE[$i]="$OUTPUT/$(basename ${SOURCE[$i]})"
echo "Source '$(basename ${SOURCE[$i]})' not available yet..."
echo "Will download file to $(dirname $SOURCE[$i])"
- wget -nv --connect-timeout=30 -O "${SOURCE[$i]}" "${SRCURL[$i]}" || true
+ wget -nv -T 30 -O "${SOURCE[$i]}" "${SRCURL[$i]}" || true
if [ $? -ne 0 -o ! -s "${SOURCE[$i]}" ]; then
echo "Downloading '$(basename ${SOURCE[$i]})' failed.. aborting the build."
mv -f "${SOURCE[$i]}" "${SOURCE[$i]}".FAIL
@@ -156,20 +160,23 @@ if $(file ${SOURCE[0]} | grep -q ": bzip2"); then
elif $(file ${SOURCE[0]} | grep -q ": gzip"); then
tar -xzvf ${SOURCE[0]}
fi
+mv abuse-${VERSION} ${PRGNAM}-${VERSION}
cd ${PRGNAM}-${VERSION}
-# Get rid of stale '/usr/local' strings
+# Use a proper location for the data files:
patch -p0 < $SRCDIR/${PRGNAM}_datadir.patch
-sed -i -e 's#/usr/local#/usr#g' README
+sed -i -e 's#/var#/usr/share#g' README
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
echo Building ...
LDFLAGS="$SLKLDFLAGS" \
CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
./configure --prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--localstatedir=/var \
--sysconfdir=/etc \
+ --mandir=/usr/man \
--program-prefix="" \
--program-suffix="" \
--build=$ARCH-slackware-linux \
@@ -206,6 +213,8 @@ EOT
# Add documentation:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
+mv $PKG/usr/share/games/abuse/README.datafiles \
+ $PKG/usr/doc/$PRGNAM-$VERSION || true
chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
# Compress the man page(s):